#ifndef MESSAGEDIALOG_H
#define MESSAGEDIALOG_H

#include <QDialog>
#include "global.h"

QT_BEGIN_NAMESPACE
namespace Ui {
class messageDialog;
}
QT_END_NAMESPACE

class MessageDialog : public QDialog
{
    Q_OBJECT

public:
    MessageDialog(QWidget *parent = nullptr);
    ~MessageDialog();

    void setType(MessageDialogType);
    void setMessage(MessageDialogType,const QString&,const QString&);

signals:
    void sgl_hide();

public slots:
    void onBtnClicked_confirm();
    void onBtnClicked_yes();
    void onBtnClicked_no();

private:
    Ui::messageDialog*  ui;
};

#endif
